Bug 1155793 - Review Request: hyperrogue - An SDL roguelike in a non-euclidean world
Summary: Review Request: hyperrogue - An SDL roguelike in a non-euclidean world
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ben Rosser
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: FE-GAMESIG
TreeView+ depends on / blocked
 
Reported: 2014-10-22 20:05 UTC by Alexandre Moine
Modified: 2016-12-05 21:40 UTC (History)
6 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2016-12-05 21:40:52 UTC
rosser.bjr: fedora-review+


Attachments (Terms of Use)

Description Alexandre Moine 2014-10-22 20:05:43 UTC
Spec URL: cthugha.org/fedora/hyperrogue.spec
SRPM URL: cthugha.org/fedora/hyperrogue-4.4-1.fc21.src.rpm

Description: You are a lone outsider in a strange, non-Euclidean world.
Fight to find treasures and get the fabulous Orbs of Yendor!

Fedora Account System Username: nobrakal

Hi, I just package this little game.

Rpmlint with the spec: No error 
Rpmlint with the rpm: 
hyperrogue.x86_64: E: arch-dependent-file-in-usr-share /usr/share/hyperrogue/hyperrogue
hyperrogue.x86_64: E: incorrect-fsf-address /usr/share/doc/hyperrogue/COPYING
hyperrogue.x86_64: W: no-manual-page-for-binary hyperrogue

I just encountered a problem with the binary file: It require the font file in the same directory. So, I create a script in /usr/bin that run the executable in %{datadir}/hyperrogue, where is the font and the musics. I don't know if it's a very clean method...

Thank you in advance for your review :)

Comment 1 Rahul Sundaram 2014-10-25 17:09:15 UTC
You should report the font problem upstream.

The comment on licensing should be just above the license tag and not near files.

Please fix the location of files.  If they are arch dependent, they should go into /usr/lib or /usr/lib64.  Use the appropriate rpm macro for that

https://fedoraproject.org/wiki/Packaging:RPMMacros

You should validate the desktop file

https://fedoraproject.org/wiki/Packaging:Guidelines#Desktop_files

You should include appdata and make sure to include screenshots and an appropriate icon with high resolution as described in

https://fedoraproject.org/wiki/Workstation/Guidelines/Applications_and_Launchers

I also recommend running fedora-review against your srpm

Comment 2 Alexandre Moine 2014-10-25 21:36:27 UTC
Spec URL: cthugha.org/fedora/hyperrogue.spec
SRPM URL: cthugha.org/fedora/hyperrogue-4.4-2.fc21.src.rpm

Hi, 

Thank you very much for your review :)

I will report the font problem shortly.

Comment displaced.

%{_libdir} used in place of %{_datadir}.

For desktop file, guidelines says "one MUST run desktop-file-install (in %install) OR desktop-file-validate (in %check or %install) ". I believe that desktop-file-validate is not necessary here, because I use desktop-file-install.

I've got a problem with the appdata: The only icon size 96*96 px... 
And, a last idiot question: I will just write the hyperrogue.appadata.xml, put it as a source in the spec, and install it in %{_datadir}/appdata/ ?

Thank you again,

Alexandre

Comment 3 Rahul Sundaram 2014-10-26 01:08:19 UTC
right, just write the appdata, include it in source, install it in the appropriate location and you are done.  example,

http://pkgs.fedoraproject.org/cgit/gnome-photos.git/tree/gnome-photos.spec

If you don.t have a high resolution icon, ask upstream to provide one for you.  Also try running fedora-review against your srpm.

Comment 4 Alexandre Moine 2014-10-27 22:21:59 UTC
Spec URL: cthugha.org/fedora/hyperrogue.spec
SRPM URL: cthugha.org/fedora/hyperrogue-4.4-3.fc21.src.rpm

Hi,

Thank you again for your response!

I reported the font bug to upstream. I quote him "Thanks for the report about VeraBd.ttf, not serious enough to release a new version for this, I am also a bit afraid to touch this, because it could break the patch which is used by the Debian package. It can be easily circumvented by either patching the source or by using a script which sets the current directory correctly."

It provided a wider icon and 2 screenshots in 16/9, so I added an  hypperrogue.appdata.xml file.

Results of fedora-review on the srpm: All items passed

Comment 5 Alexandre Moine 2014-11-15 10:57:17 UTC
Hi, I moved the Spec and the SRPM to fedorapeople.org

Spec URL: https://nobrakal.fedorapeople.org/hyperrogue.spec
SRPM URL: https://nobrakal.fedorapeople.org/hyperrogue-4.4-3.fc21.src.rpm

I also ran a scratch build in rawhide, and hyperrogue builded sucessfully in all architectures. results here: http://koji.fedoraproject.org/koji/taskinfo?taskID=8151067

Comment 6 Christopher Meng 2014-11-15 12:40:20 UTC
Hi,

I just went through your spec and found some problems you have to fix.

1. 
BuildRequires:  SDL_mixer-devel SDL_ttf-devel SDL_gfx-devel
BuildRequires:  desktop-file-utils 
Requires:       SDL_mixer SDL_ttf SDL_gfx

If linker works well, no need to explicitly Requires SDL_mixer SDL_ttf SDL_gfx.

2. Summary:        An SDL rogue-like in a non-euclidean world

Arr... rogue-like or  roguelike exactly?

3. # Upstream no provides the install target. I have to install files "by hand".
mkdir -p %{buildroot}%{_libdir}/%{name}
cp -p hyper %{buildroot}%{_libdir}/%{name}/hyperrogue
cp -p *ogg %{buildroot}%{_libdir}/%{name}/
cp -p VeraBd.ttf %{buildroot}%{_libdir}/%{name}/

Although install target is unavailable, yours is not good.

These files should be put into %{_datadir}.

Comment 7 Alexandre Moine 2014-11-15 13:23:34 UTC
Spec URL: https://nobrakal.fedorapeople.org/hyperrogue.spec
SRPM URL: https://nobrakal.fedorapeople.org/hyperrogue-4.4-4.fc21.src.rpm

Hi,

Thank you for your help :)

1. "If linker works well, no need to explicitly Requires SDL_mixer SDL_ttf SDL_gfx."

You're right, linker works very well. I fix it

2. "Arr... rogue-like or  roguelike exactly?"
At the begining, I've wrote "roguelike", but it generates this rpmlint warning: 
spelling-error Summary(en_US) roguelike -> rogue like, rogue-like, Rogelio
So, I changed it to "rogue-like", but English is not my native language... It really changes the meaning ?

3. "Although install target is unavailable, yours is not good.

These files should be put into %{_datadir}."

As I explained it in the first comment, the arch-dependent binairie need to be in the same directory as the font file. And put the executable it in %{_datadir} generates this rpmlint warning:
arch-dependent-file-in-usr-share /usr/share/hyperrogue/hyperrogue
As suggested Rahul Sundaram, I change %{_datadir} to %{_libdir}
 
Alexandre

Comment 8 Christopher Meng 2015-03-17 00:32:07 UTC
Would you please update this to the latest 5.5a version?

BTW I've bought and played this on Steam for several hours, it's an addictive puzzle game. ;)

Comment 9 Alexandre Moine 2015-03-17 15:53:32 UTC
Hi,

I've updated my package.

http://cthugha.org/fedora/hyperrogue-5.5a-1.fc21.src.rpm
http://cthugha.org/fedora/hyperrogue.spec

And, great news, I can patch the source code (well, it's not very beautiful, but it works) to have the binary in %{_bindir}.

Thank you for your help :)

Alexandre

Comment 10 Christopher Meng 2015-03-24 12:24:00 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated



Issues:
=======
- Permissions on files are set properly.
  Note: See rpmlint output
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#FilePermissions


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "GPL (v2 or later)", "Unknown or generated". 14 files have unknown
     license. Detailed output of licensecheck:

GPL (v2 or later)
-----------------
hyperrogue-55/hyper.cpp

Unknown or generated
--------------------
hyperrogue-55/achievement.cpp
hyperrogue-55/achievement.h
hyperrogue-55/cell.cpp
hyperrogue-55/classes.cpp
hyperrogue-55/game.cpp
hyperrogue-55/geometry.cpp
hyperrogue-55/graph.cpp
hyperrogue-55/heptagon.cpp
hyperrogue-55/hyperpoint.cpp
hyperrogue-55/language-cz.cpp
hyperrogue-55/language-pl.cpp
hyperrogue-55/language-tr.cpp
hyperrogue-55/language.cpp
hyperrogue-55/polygons.cpp

[-]: If the package is under multiple licenses, the licensing breakdown must
     be documented in the spec.
[!]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[!]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
     Note: Test run failed
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Test run failed
[x]: Packages must not store files under /srv, /opt or /usr/local
     Note: Test run failed
[!]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package contains desktop file if it is a GUI application.
[x]: Package installs a %{name}.desktop using desktop-file-install or desktop-
     file-validate if there is such a file.
[x]: Package does not contain duplicates in %files.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise justified.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[-]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
     Note: Test run failed
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).


Rpmlint
-------
Checking: hyperrogue-5.5a-1.fc23.x86_64.rpm
          hyperrogue-5.5a-1.fc23.src.rpm
hyperrogue.x86_64: W: spelling-error Summary(en_US) roguelike -> rogue like, rogue-like, Rogelio
hyperrogue.x86_64: W: incoherent-version-in-changelog 4.5-1 ['5.5a-1.fc23', '5.5a-1']
hyperrogue.x86_64: E: incorrect-fsf-address /usr/share/doc/hyperrogue/COPYING
hyperrogue.x86_64: E: non-standard-executable-perm /usr/bin/hyperrogue 0775L
hyperrogue.x86_64: W: no-manual-page-for-binary hyperrogue
hyperrogue.x86_64: E: invalid-appdata-file /usr/share/appdata/hyperrogue.appdata.xml
hyperrogue.src: W: spelling-error Summary(en_US) roguelike -> rogue like, rogue-like, Rogelio
2 packages and 0 specfiles checked; 3 errors, 4 warnings.




Rpmlint (installed packages)
----------------------------
Cannot parse rpmlint output:


Requires
--------
hyperrogue (rpmlib, GLIBC filtered):
    dejavu-sans-fonts
    libGL.so.1()(64bit)
    libSDL-1.2.so.0()(64bit)
    libSDL_gfx.so.15()(64bit)
    libSDL_mixer-1.2.so.0()(64bit)
    libSDL_ttf-2.0.so.0()(64bit)
    libc.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libm.so.6()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    rtld(GNU_HASH)



Provides
--------
hyperrogue:
    appdata()
    appdata(hyperrogue.appdata.xml)
    application()
    application(hyperrogue.desktop)
    hyperrogue
    hyperrogue(x86-64)



Source checksums
----------------
http://www.roguetemple.com/z/hyper/hyperrogue-55.zip :
  CHECKSUM(SHA256) this package     : 6390607b827d69410843cd63c9f29b1c2e8fa31adbcf37914131b17662a03775
  CHECKSUM(SHA256) upstream package : 6390607b827d69410843cd63c9f29b1c2e8fa31adbcf37914131b17662a03775


Generated by fedora-review 0.5.2 (63c24cb) last change: 2014-07-14
Command line :/usr/bin/fedora-review -rvn hyperrogue-5.5a-1.fc21.src.rpm
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG

------------------------Manul Review Start------------------------
1. This package was compiled without proper flags:


Executing(%build): /bin/sh -e /var/tmp/rpm-tmp.Cf4TIz
+ umask 022
+ cd /builddir/build/BUILD
+ cd hyperrogue-55
+ make -j4
g++ hyper.cpp -o hyper -lSDL -lSDL_ttf -lSDL_mixer -DFHS -Wall -g -lSDL_gfx    -lGL -O3
In file included from hyper.cpp:73:0:
graph.cpp:127:109: warning: narrowing conversion of '3503345919u' from 'unsigned int' to 'int' inside { } is ill-formed in C++11 [-Wnarrowing]
 int skincolors[]  = { 7, 0xD0D0D0FF, 0xEFD0C9FF, 0xC77A58FF, 0xA58869FF, 0x602010FF, 0xFFDCB1FF, 0xEDE4C8FF };
                                                                                                             ^
graph.cpp:127:109: warning: narrowing conversion of '4023437823u' from 'unsigned int' to 'int' inside { } is ill-formed in C++11 [-Wnarrowing]
graph.cpp:127:109: warning: narrowing conversion of '3346684159u' from 'unsigned int' to 'int' inside { } is ill-formed in C++11 [-Wnarrowing]
graph.cpp:127:109: warning: narrowing conversion of '2777180671u' from 'unsigned int' to 'int' inside { } is ill-formed in C++11 [-Wnarrowing]
graph.cpp:127:109: warning: narrowing conversion of '4292653567u' from 'unsigned int' to 'int' inside { } is ill-formed in C++11 [-Wnarrowing]
graph.cpp:127:109: warning: narrowing conversion of '3991193855u' from 'unsigned int' to 'int' inside { } is ill-formed in C++11 [-Wnarrowing]
graph.cpp:128:121: warning: narrowing conversion of '2355645183u' from 'unsigned int' to 'int' inside { } is ill-formed in C++11 [-Wnarrowing]
 int haircolors[]  = { 8, 0x686868FF, 0x8C684AFF, 0xF2E1AEFF, 0xB55239FF, 0xFFFFFFFF, 0x804000FF, 0x502810FF, 0x301800FF };
                                                                                                                         ^
graph.cpp:128:121: warning: narrowing conversion of '4074876671u' from 'unsigned int' to 'int' inside { } is ill-formed in C++11 [-Wnarrowing]
graph.cpp:128:121: warning: narrowing conversion of '3042064895u' from 'unsigned int' to 'int' inside { } is ill-formed in C++11 [-Wnarrowing]
graph.cpp:128:121: warning: narrowing conversion of '4294967295u' from 'unsigned int' to 'int' inside { } is ill-formed in C++11 [-Wnarrowing]
graph.cpp:128:121: warning: narrowing conversion of '2151678207u' from 'unsigned int' to 'int' inside { } is ill-formed in C++11 [-Wnarrowing]
graph.cpp:129:97: warning: narrowing conversion of '3221225727u' from 'unsigned int' to 'int' inside { } is ill-formed in C++11 [-Wnarrowing]
 int dresscolors[] = { 6, 0xC00000FF, 0x00C000FF, 0x0000C0FF, 0xC0C000FF, 0xC0C0C0FF, 0x202020FF };
                                                                                                 ^
graph.cpp:129:97: warning: narrowing conversion of '3233808639u' from 'unsigned int' to 'int' inside { } is ill-formed in C++11 [-Wnarrowing]
graph.cpp:129:97: warning: narrowing conversion of '3233857791u' from 'unsigned int' to 'int' inside { } is ill-formed in C++11 [-Wnarrowing]
graph.cpp:130:97: warning: narrowing conversion of '3233857791u' from 'unsigned int' to 'int' inside { } is ill-formed in C++11 [-Wnarrowing]
 int swordcolors[] = { 6, 0xC0C0C0FF, 0xFFFFFFFF, 0xFFC0C0FF, 0xC0C0FFFF, 0x808080FF, 0x202020FF };
                                                                                                 ^
graph.cpp:130:97: warning: narrowing conversion of '4294967295u' from 'unsigned int' to 'int' inside { } is ill-formed in C++11 [-Wnarrowing]
graph.cpp:130:97: warning: narrowing conversion of '4290822399u' from 'unsigned int' to 'int' inside { } is ill-formed in C++11 [-Wnarrowing]
graph.cpp:130:97: warning: narrowing conversion of '3233873919u' from 'unsigned int' to 'int' inside { } is ill-formed in C++11 [-Wnarrowing]
graph.cpp:130:97: warning: narrowing conversion of '2155905279u' from 'unsigned int' to 'int' inside { } is ill-formed in C++11 [-Wnarrowing]
graph.cpp: In function 'void selectEyeGL(int)':
graph.cpp:266:18: warning: narrowing conversion of '((double)vid.videopar::yres / (double)vid.videopar::xres)' from 'double' to 'GLfloat {aka float}' inside { } is ill-formed in C++11 [-Wnarrowing]
     vid.yres * 1./vid.xres, 0, 0, 0, 
                  ^
graph.cpp:282:69: warning: narrowing conversion of '- vid.videopar::alpha' from 'ld {aka long double}' to 'GLfloat {aka float}' inside { } is ill-formed in C++11 [-Wnarrowing]
   GLfloat mat[16] = {sc,0,0,0, 0,-sc,0,0, 0,0,-1,0, 0,0,-vid.alpha,1};
                                                                     ^
In file included from hyper.cpp:63:0:
language.cpp: In function 'void initlanguage()':
language.cpp:297:6: note: variable tracking size limit exceeded with -fvar-tracking-assignments, retrying without
 void initlanguage() {
      ^
+ exit 0

Please use %optflags for compile and %__global_ldflags for linking

2. No install rule, that's ok, but please install with "install" command instead of cp. For instance:

mkdir -p %{buildroot}%{_datadir}/pixmaps/
cp -p %{SOURCE3} %{buildroot}%{_datadir}/pixmaps/%{name}-icon.png

->

mkdir -p %{buildroot}%{_datadir}/pixmaps/
install -pDm644 %{SOURCE3} %{buildroot}%{_datadir}/pixmaps/%{name}-icon.png

644 for normal files, 755 for executables.

BTW, I think hyperrogue.png is good, you don't need to append "-icon" there.

3. New guidelines here, please check:

(1). http://fedoraproject.org/wiki/Packaging:AppData
(2). http://fedoraproject.org/wiki/Packaging:LicensingGuidelines#License_Text

4. Tell upstream to update the license text.

Comment 11 Alexandre Moine 2015-03-24 18:47:56 UTC
Hi, 

Spec URL: https://nobrakal.fedorapeople.org/hyperrogue.spec
SRPM URL http://cthugha.org/fedora/hyperrogue-5.5a-2.fc21.src.rpm

I followed your instructions:
- Compile with right flag (I think, I'm not at all familiar with that)
- Use install instead of cp
- Add a test for the appdata file

But I don't understand what's wrong with the license text: What I have to do ? The COPYING file name isn't satisfactory?
Or I have to include it in %license tag ? But https://fedoraproject.org/wiki/How_to_create_an_RPM_package said: "These prefixes are not valid in Fedora: %license and %readme. "

Thank you again for your help,

Alexandre

Comment 12 Christopher Meng 2015-04-10 12:53:10 UTC
Please fix your srpm's permission as I couldn't download it with concomitant 403 error.

Comment 13 Alexandre Moine 2015-04-10 18:42:42 UTC
Sorry for this problem,

You can download both here:

Spec URL: https://nobrakal.fedorapeople.org/hyperrogue.spec
SRPM URL: https://nobrakal.fedorapeople.org/hyperrogue-5.5a-2.fc21.src.rpm

Thank you,

Alexandre

Comment 14 Ralf Corsepius 2015-05-09 08:48:39 UTC
This package's version does not comply with Fedora's versioning rules.

c.f. https://fedoraproject.org/wiki/Packaging:NamingGuidelines#NonNumericRelease

Comment 16 Alexandre Moine 2015-07-12 21:39:20 UTC
Spec URL: https://nobrakal.fedorapeople.org/hyperrogue.spec
SRPM URL: https://nobrakal.fedorapeople.org/hyperrogue-6.6-0.fc22.src.rpm

I updated to the new upstream (6.6), and created a subpackage for music files, and fix a bug with this music. 
I used the Suggests option to add hyperrogue-music as a dependency for hyperrogue, because you can play without the music.
Also, music subpackage has a different license (CC-BY) of the code (GPLv2), but I don't think it's a problem.

Alexandre

Comment 17 Alexandre Moine 2015-08-06 22:03:22 UTC
Spec URL: https://nobrakal.fedorapeople.org/hyperrogue.spec
SRPM URL: https://nobrakal.fedorapeople.org/hyperrogue-6.6-1.fc22.src.rpm

I've updated my spec to fix some typo, and force the use of the -fPIC flag during building.

Here is a successful koji scratch build against rawhide: https://koji.fedoraproject.org/koji/taskinfo?taskID=10627187

Comment 18 Christopher Meng 2015-09-16 09:21:45 UTC
Uh...

Please upload your SRPM within stable network, the source RPM doesn't include spec file!

Comment 19 Alexandre Moine 2015-09-16 17:06:30 UTC
Updated, all will work now, sorry

Comment 20 Alexandre Moine 2016-03-12 17:32:00 UTC
Spec URL: https://nobrakal.fedorapeople.org/hyperrogue.spec
SRPM URL: https://nobrakal.fedorapeople.org/hyperrogue-7.4-1.h.fc23.src.rpm

Updated to new upstream.
Now, I force the code relocation with -fPIC. My bigger problem is that upstream removed the COPYING file from the archive...

Does this make any problem ?

I sent a mail to the maintainer about that to warn him, it can be a mistake.

Comment 21 Rémi Verschelde 2016-08-11 08:52:33 UTC
@nobrakal: I haven't reviewed your SRPM, but in case it could be of help, here is a link to my Mageia SRPM: http://ftp.uni-erlangen.de/mirrors/Mageia/distrib/cauldron/SRPMS/core/release/hyperrogue-7.4h-1.mga6.src.rpm

and the corresponding spec file: http://svnweb.mageia.org/packages/cauldron/hyperrogue/current/SPECS/hyperrogue.spec?view=markup

You are free to make use of my patches/take inspiration from the spec file if some of it provides improvements on your current work.

Comment 22 Alexandre Moine 2016-08-12 17:35:15 UTC
Spec URL: https://nobrakal.fedorapeople.org/hyperrogue.spec
SRPM URL: https://nobrakal.fedorapeople.org/hyperrogue-8.3-1.j.fc24.src.rpm

Hi Rémi, thank you for your link !

I have updated my package to the 8.3j version, and updated appadata files. 
I also made the music subpackage noarch (like the data subpackage in mageia)

Comment 23 Alexandre Moine 2016-08-24 13:51:43 UTC
Just setted up a corp repository for hyperrogue: https://copr.fedorainfracloud.org/coprs/nobrakal/hyperrogue/

Feel free to use it to try hyperrogue without any pain ;)

Comment 24 Ben Rosser 2016-11-07 03:46:53 UTC
As per https://fedoraproject.org/wiki/Policy_for_stalled_package_reviews, this review seems to be stalled. Are you still interested in reviewing the package, Christopher?

If there's no response within a week as per policy I'll take this review and finish it up. :)

Comment 25 Ben Rosser 2016-11-19 06:11:30 UTC
Taken this review.

I ran through the spec and only found one issue: there are bundled copies of mtrand and glew in the sources; from licensecheck:

BSD (2 clause)
--------------
hyperrogue-83j/src/glew.c
hyperrogue-83j/src/mtrand.h

It doesn't seem like glew.c is used in the Linux build. If that's the case you should probably explicitly remove it in %prep (so this can be verified), although this isn't a requirement.

But mtrand definitely seems to be, which means you should modify the License tag accordingly to reflect that (License: GPLv2 and BSD) and explain why in a comment.

As per https://fedoraproject.org/wiki/Packaging:Guidelines#Bundling_and_Duplication_of_system_libraries you should probably also add a "Provides: bundled(mtrand)" to the spec.

Otherwise the package looks good.

Comment 26 Alexandre Moine 2016-11-19 09:36:45 UTC
Spec URL: https://nobrakal.fedorapeople.org/hyperrogue.spec
SRPM URL: https://nobrakal.fedorapeople.org/hyperrogue-8.3-2.j.fc25.src.rpm

Hi, thank you very much for taking this review :)

I have updated my spec and srpm accordingly to your comment, I didn't notice this bundled libs...
I have also updated the appdata.xml with (not so) new open age rating.

Comment 27 Igor Gnatenko 2016-11-19 09:45:29 UTC
is it possible by any chance to port it to SDL2?

Comment 28 Alexandre Moine 2016-11-20 10:45:25 UTC
Hi,

I have just noticed the savepng file is under zlib, I added it as a bundled lib, and update the license tag.
I have updated the previous link.

Comment 29 Alexandre Moine 2016-11-20 10:46:37 UTC
Concerning SDL2, I simply don't know. I'm not at all a c/c++ dev :p

Comment 30 Ben Rosser 2016-11-21 18:11:10 UTC
Good catch with savepng; it seems that licensecheck didn't pick up on that. :(

Anyway, this package is APPROVED.

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Header files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[-]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "BSD (2 clause)", "GPL (v2 or later)", "Unknown or generated".
     39 files have unknown license. Detailed output of licensecheck in
     /home/bjr/Programming/fedora/reviews/1155793-hyperrogue/licensecheck.txt
[-]: License file installed when any subpackage combination is installed.
[x]: If the package is under multiple licenses, the licensing breakdown
     must be documented in the spec.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package contains desktop file if it is a GUI application.
[x]: Package installs a %{name}.desktop using desktop-file-install or
     desktop-file-validate if there is such a file.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 0 bytes in 0 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     hyperrogue-music , hyperrogue-debuginfo
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: hyperrogue-8.3-2.j.fc26.x86_64.rpm
          hyperrogue-music-8.3-2.j.fc26.noarch.rpm
          hyperrogue-debuginfo-8.3-2.j.fc26.x86_64.rpm
          hyperrogue-8.3-2.j.fc26.src.rpm
hyperrogue.x86_64: W: spelling-error Summary(en_US) roguelike -> rogue like, rogue-like, Rogelio
hyperrogue.x86_64: W: no-documentation
hyperrogue.x86_64: W: no-manual-page-for-binary hyperrogue
hyperrogue-music.noarch: W: spelling-error %description -l en_US hypperrogue -> hypertrophy
hyperrogue-music.noarch: W: no-documentation
hyperrogue.src: W: spelling-error Summary(en_US) roguelike -> rogue like, rogue-like, Rogelio
hyperrogue.src:26: W: unversioned-explicit-provides bundled(mtrand)
hyperrogue.src:27: W: unversioned-explicit-provides bundled(savepng)
4 packages and 0 specfiles checked; 0 errors, 8 warnings.




Rpmlint (debuginfo)
-------------------
Checking: hyperrogue-debuginfo-8.3-2.j.fc26.x86_64.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.





Rpmlint (installed packages)
----------------------------
hyperrogue-music.noarch: W: spelling-error %description -l en_US hypperrogue -> hypertrophy
hyperrogue-music.noarch: W: no-documentation
hyperrogue.x86_64: W: spelling-error Summary(en_US) roguelike -> rogue like, rogue-like, Rogelio
hyperrogue.x86_64: W: no-documentation
hyperrogue.x86_64: W: no-manual-page-for-binary hyperrogue
3 packages and 0 specfiles checked; 0 errors, 5 warnings.



Requires
--------
hyperrogue-music (rpmlib, GLIBC filtered):
    hyperrogue

hyperrogue-debuginfo (rpmlib, GLIBC filtered):

hyperrogue (rpmlib, GLIBC filtered):
    dejavu-sans-fonts
    libGL.so.1()(64bit)
    libSDL-1.2.so.0()(64bit)
    libSDL_gfx.so.15()(64bit)
    libSDL_mixer-1.2.so.0()(64bit)
    libSDL_ttf-2.0.so.0()(64bit)
    libc.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libgcc_s.so.1(GCC_4.0.0)(64bit)
    libm.so.6()(64bit)
    libpng16.so.16()(64bit)
    libpng16.so.16(PNG16_0)(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    libstdc++.so.6(CXXABI_1.3.8)(64bit)
    libstdc++.so.6(CXXABI_1.3.9)(64bit)
    rtld(GNU_HASH)



Provides
--------
hyperrogue-music:
    hyperrogue-music

hyperrogue-debuginfo:
    hyperrogue-debuginfo
    hyperrogue-debuginfo(x86-64)

hyperrogue:
    appdata()
    appdata(hyperrogue.appdata.xml)
    application()
    application(hyperrogue.desktop)
    bundled(mtrand)
    bundled(savepng)
    hyperrogue
    hyperrogue(x86-64)



Source checksums
----------------
http://roguetemple.com/z/hyper/bigicon-osx.png :
  CHECKSUM(SHA256) this package     : 1946079cd66bdc099f1a85412e633878bad0ec615fd15cfe5d6fe9d8c73c8091
  CHECKSUM(SHA256) upstream package : 1946079cd66bdc099f1a85412e633878bad0ec615fd15cfe5d6fe9d8c73c8091
http://www.roguetemple.com/z/hyper/hyperrogue-83j.zip :
  CHECKSUM(SHA256) this package     : d7bcf0bb00de5912a61dc9dd758a14bc47fb4b3147c2643dce40924a502be9a9
  CHECKSUM(SHA256) upstream package : d7bcf0bb00de5912a61dc9dd758a14bc47fb4b3147c2643dce40924a502be9a9


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 1155793
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 31 Gwyn Ciesla 2016-11-22 13:58:15 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/hyperrogue

Comment 32 Fedora Update System 2016-11-22 19:16:06 UTC
hyperrogue-8.3-2.j.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-beb538eef6

Comment 33 Fedora Update System 2016-11-25 09:40:37 UTC
hyperrogue-8.3-2.j.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-beb538eef6

Comment 34 Fedora Update System 2016-12-05 21:40:52 UTC
hyperrogue-8.3-2.j.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.